#ifndef FMT_H
#define FMT_H 1
#define pdebug(s) fmt_debug(__FILE__, __FUNCTION__, (s))
char *fmt_timestr(time_t, int);
char *fmt_escape(char *);
char *fmt_wescape(wchar_t *);
char *fmt_vastr(char *, ...);
void fmt_debug(char *, char *, char *);
char *fmt_string_pack(char *, char *, ...);
wchar_t *fmt_wstring_pack(wchar_t *, wchar_t *, ...);
int fmt_strcasecmp(const char *s1, const char *s2);
int fmt_strncasecmp(const char *s1, const char *s2, size_t n);
int fmt_wcscasecmp(const wchar_t *s1, const wchar_t *s2);
int fmt_wcsncasecmp(const wchar_t *s1, const wchar_t *s2, size_t n);
#endif
